name: Build docs

on:
  push:
    branches: [main]

jobs:
  build-docs:
    runs-on: ubuntu-latest
    container:
      image: git.kjan.de/actions/runner-latex:latest
    env:
      # Edit here with the names of your latex file and directory (can use ".")
      DIR: docs
      FILE: projektdokumentation.tex
    steps:
      - name: Checkout
        uses: actions/checkout@v2

      - name: LaTeX compile
        working-directory: ${{ env.DIR }}
        run: latexmk -pdf -xelatex ${{ env.FILE }}

      - name: Upload artifacts
        uses: https://git.kjan.de/actions/upload-artifact@v4
        with:
          name: Doku
          path: docs/projektdokumentation.pdf
